# Define a function which returns a value which fills in all the holes left by
# ``storage.nix``.
{
  # See ``customize-issuer.nix``
  monitoringvpnEndpoint
, domain

  # An integer giving the value of a single pass in byte×months.
, passValue

  # An integer giving the port number to include in Tahoe storage service
  # advertisements and on which to listen for storage connections.
, publicStoragePort

, ...
}:
{ config, ... }: 
let
  inherit (config.grid) publicKeyPath privateKeyPath;
  inherit (config) monitoringvpnIPv4;
in {
  networking.domain = domain;

  services.private-storage = {
    inherit passValue publicStoragePort;
  };

  services.private-storage.monitoring.vpn.client = {
    enable = true;
    ip = monitoringvpnIPv4;
    endpoint = monitoringvpnEndpoint;
    endpointPublicKeyFile = "${publicKeyPath}/monitoringvpn/server.pub";
  };
}
